statistics: Get instance statistics

API: judge0.com:judge0-ce
Endpoint: /statistics
Response format: application/json
Auth: unknown
Method: GET
Last Status: 401
Latency: 206ms

Description

Returns counters for total submissions, currently processing submissions, and other runtime statistics. Use this to monitor load and capacity of the instance.

From spec: Returns cached statistics about this Judge0 instance.

Usage Tips

- Statistics are cumulative since last restart - Useful for monitoring queue depth - May be rate-limited on public instances

Parameters (2)

X-Auth-Token (string, header, optional)

Optional authentication token for private instances

invalidate_cache (boolean, query, optional, default: False)

If true, invalidates the cache and returns fresh statistics

Examples (1)

Get Judge0 CE instance statistics doc_extracted

Retrieves usage statistics including total submissions and current processing status.

curl 'https://ce.judge0.com/statistics'
import requests

resp = requests.get("https://ce.judge0.com/statistics")
data = resp.json()
import zingu_apis

api = zingu_apis.api("judge0")
result = api.fetch("statistics")

for item in result:
    print(item)
const resp = await fetch("https://ce.judge0.com/statistics");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 02:42:58.427173 401 206ms
2026-04-15 03:53:28.924889 401 190ms
2026-04-14 02:59:51.848196 401 114ms
2026-04-12 13:13:34.871854 401 148ms
2026-04-10 06:46:58.441559 401 93ms
2026-04-09 03:49:24.972111 401 611ms